## com.sun.jersey.api.model
Class Parameter

    java.lang.Object
      com.sun.jersey.api.model.Parameter

All Implemented Interfaces:
  java.lang.reflect.AnnotatedElement

    public class Parameter

extends java.lang.Object
implements java.lang.reflect.AnnotatedElement

Abstraction for a method/constructor parameter

Nested Class Summary
`static class` | `Parameter.Source`

Constructor Summary
`Parameter(java.lang.annotation.Annotation[] as, java.lang.annotation.Annotation a, Parameter.Source source, java.lang.String sourceName, java.lang.reflect.Type type, java.lang.Class<?> clazz)`
`Parameter(java.lang.annotation.Annotation[] as, java.lang.annotation.Annotation a, Parameter.Source source, java.lang.String sourceName, java.lang.reflect.Type type, java.lang.Class<?> clazz, boolean encoded)`
`Parameter(java.lang.annotation.Annotation[] as, java.lang.annotation.Annotation a, Parameter.Source source, java.lang.String sourceName, java.lang.reflect.Type type, java.lang.Class<?> clazz, boolean encoded, java.lang.String defaultValue)`
`Parameter(java.lang.annotation.Annotation[] as, java.lang.annotation.Annotation a, Parameter.Source source, java.lang.String sourceName, java.lang.reflect.Type type, java.lang.Class<?> clazz, java.lang.String defaultValue)`

Method Summary
`java.lang.annotation.Annotation` | `getAnnotation()`

`

`<T extends java.lang.annotation.Annotation> T`

`

`getAnnotation(java.lang.Class<T> annotationType)`

`java.lang.annotation.Annotation[]` | `getAnnotations()`
`java.lang.annotation.Annotation[]` | `getDeclaredAnnotations()`
`java.lang.String` | `getDefaultValue()`
`java.lang.Class<?>` | `getParameterClass()`
`java.lang.reflect.Type` | `getParameterType()`
`Parameter.Source` | `getSource()`
`java.lang.String` | `getSourceName()`
`boolean` | `hasDefaultValue()`
`boolean` | `isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)`
`boolean` | `isEncoded()`
`boolean` | `isQualified()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parameter

    public Parameter(java.lang.annotation.Annotation[] as,
                     java.lang.annotation.Annotation a,
                     Parameter.Source source,
                     java.lang.String sourceName,
                     java.lang.reflect.Type type,
                     java.lang.Class<?> clazz)

### Parameter

    public Parameter(java.lang.annotation.Annotation[] as,
                     java.lang.annotation.Annotation a,
                     Parameter.Source source,
                     java.lang.String sourceName,
                     java.lang.reflect.Type type,
                     java.lang.Class<?> clazz,
                     boolean encoded)

### Parameter

    public Parameter(java.lang.annotation.Annotation[] as,
                     java.lang.annotation.Annotation a,
                     Parameter.Source source,
                     java.lang.String sourceName,
                     java.lang.reflect.Type type,
                     java.lang.Class<?> clazz,
                     java.lang.String defaultValue)

### Parameter

    public Parameter(java.lang.annotation.Annotation[] as,
                     java.lang.annotation.Annotation a,
                     Parameter.Source source,
                     java.lang.String sourceName,
                     java.lang.reflect.Type type,
                     java.lang.Class<?> clazz,
                     boolean encoded,
                     java.lang.String defaultValue)

Method Detail

### getAnnotation

    public java.lang.annotation.Annotation getAnnotation()

### getSource

    public Parameter.Source getSource()

### getSourceName

    public java.lang.String getSourceName()

### isEncoded

    public boolean isEncoded()

### hasDefaultValue

    public boolean hasDefaultValue()

### getDefaultValue

    public java.lang.String getDefaultValue()

### getParameterClass

    public java.lang.Class<?> getParameterClass()

### getParameterType

    public java.lang.reflect.Type getParameterType()

### isQualified

    public boolean isQualified()

### getAnnotation

    public <T extends java.lang.annotation.Annotation> T getAnnotation(java.lang.Class<T> annotationType)

  Specified by:
    `getAnnotation` in interface `java.lang.reflect.AnnotatedElement`

### getAnnotations

    public java.lang.annotation.Annotation[] getAnnotations()

  Specified by:
    `getAnnotations` in interface `java.lang.reflect.AnnotatedElement`

### getDeclaredAnnotations

    public java.lang.annotation.Annotation[] getDeclaredAnnotations()

  Specified by:
    `getDeclaredAnnotations` in interface `java.lang.reflect.AnnotatedElement`

### isAnnotationPresent

    public boolean isAnnotationPresent(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

  Specified by:
    `isAnnotationPresent` in interface `java.lang.reflect.AnnotatedElement`

Copyright © 2017 Oracle Corporation. All Rights Reserved.